osg::CopyOp Class Reference

`#include <CopyOp>`

## Public Types

enum

Options {
SHALLOW_COPY = 0 , DEEP_COPY_OBJECTS = 1<<0 , DEEP_COPY_NODES = 1<<1 , DEEP_COPY_DRAWABLES = 1<<2 ,
DEEP_COPY_STATESETS = 1<<3 , DEEP_COPY_STATEATTRIBUTES = 1<<4 , DEEP_COPY_TEXTURES = 1<<5 , DEEP_COPY_IMAGES = 1<<6 ,
DEEP_COPY_ARRAYS = 1<<7 , DEEP_COPY_PRIMITIVES = 1<<8 , DEEP_COPY_SHAPES = 1<<9 , DEEP_COPY_UNIFORMS = 1<<10 ,
DEEP_COPY_CALLBACKS = 1<<11 , DEEP_COPY_USERDATA = 1<<12 , DEEP_COPY_ALL = 0x7FFFFFFF
}

typedef unsigned int | CopyFlags

## Public Member Functions

| CopyOp (CopyFlags flags=SHALLOW_COPY)
virtual | ~CopyOp ()
void | setCopyFlags (CopyFlags flags)
CopyFlags | getCopyFlags () const
virtual Referenced * | operator() (const Referenced *ref) const
virtual Object * | operator() (const Object *obj) const
virtual Node * | operator() (const Node *node) const
virtual Drawable * | operator() (const Drawable *drawable) const
virtual StateSet * | operator() (const StateSet *stateset) const
virtual StateAttribute * | operator() (const StateAttribute *attr) const
virtual Texture * | operator() (const Texture *text) const
virtual Image * | operator() (const Image *image) const
virtual Array * | operator() (const Array *array) const
virtual PrimitiveSet * | operator() (const PrimitiveSet *primitives) const
virtual Shape * | operator() (const Shape *shape) const
virtual Uniform * | operator() (const Uniform *shape) const
virtual Callback * | operator() (const Callback *nodecallback) const
virtual StateAttributeCallback * | operator() (const StateAttributeCallback *stateattributecallback) const
virtual UniformCallback * | operator() (const UniformCallback *uniformcallback) const

## Protected Attributes

CopyFlags | _flags

## Detailed Description

Copy Op(erator) used to control whether shallow or deep copy is used during copy construction and clone operation.

## Member Typedef Documentation

## CopyFlags

typedef unsigned int osg::CopyOp::CopyFlags

## Member Enumeration Documentation

## Options

enum osg::CopyOp::Options

Enumerator
SHALLOW_COPY |
DEEP_COPY_OBJECTS |
DEEP_COPY_NODES |
DEEP_COPY_DRAWABLES |
DEEP_COPY_STATESETS |
DEEP_COPY_STATEATTRIBUTES |
DEEP_COPY_TEXTURES |
DEEP_COPY_IMAGES |
DEEP_COPY_ARRAYS |
DEEP_COPY_PRIMITIVES |
DEEP_COPY_SHAPES |
DEEP_COPY_UNIFORMS |
DEEP_COPY_CALLBACKS |
DEEP_COPY_USERDATA |
DEEP_COPY_ALL |

## Constructor & Destructor Documentation

## CopyOp()

osg::CopyOp::CopyOp | ( | CopyFlags | flags = SHALLOW_COPY | ) |

inline

References _flags, and SHALLOW_COPY.

## ~CopyOp()

virtual osg::CopyOp::~CopyOp | ( |  | ) |

inline virtual

## Member Function Documentation

## getCopyFlags()

CopyFlags osg::CopyOp::getCopyFlags | ( |  | ) | const

inline

References _flags.

## operator()() [1/15]

virtual Array * osg::CopyOp::operator() | ( | const Array * | array | ) | const

virtual

## operator()() [2/15]

virtual Callback * osg::CopyOp::operator() | ( | const Callback * | nodecallback | ) | const

virtual

## operator()() [3/15]

virtual Drawable * osg::CopyOp::operator() | ( | const Drawable * | drawable | ) | const

virtual

## operator()() [4/15]

virtual Image * osg::CopyOp::operator() | ( | const Image * | image | ) | const

virtual

## operator()() [5/15]

virtual Node * osg::CopyOp::operator() | ( | const Node * | node | ) | const

virtual

## operator()() [6/15]

virtual Object * osg::CopyOp::operator() | ( | const Object * | obj | ) | const

virtual

## operator()() [7/15]

virtual PrimitiveSet * osg::CopyOp::operator() | ( | const PrimitiveSet * | primitives | ) | const

virtual

## operator()() [8/15]

virtual Referenced * osg::CopyOp::operator() | ( | const Referenced * | ref | ) | const

virtual

## operator()() [9/15]

virtual Shape * osg::CopyOp::operator() | ( | const Shape * | shape | ) | const

virtual

## operator()() [10/15]

virtual StateAttribute * osg::CopyOp::operator() | ( | const StateAttribute * | attr | ) | const

virtual

## operator()() [11/15]

virtual StateAttributeCallback * osg::CopyOp::operator() | ( | const StateAttributeCallback * | stateattributecallback | ) | const

virtual

## operator()() [12/15]

virtual StateSet * osg::CopyOp::operator() | ( | const StateSet * | stateset | ) | const

virtual

## operator()() [13/15]

virtual Texture * osg::CopyOp::operator() | ( | const Texture * | text | ) | const

virtual

## operator()() [14/15]

virtual Uniform * osg::CopyOp::operator() | ( | const Uniform * | shape | ) | const

virtual

## operator()() [15/15]

virtual UniformCallback * osg::CopyOp::operator() | ( | const UniformCallback * | uniformcallback | ) | const

virtual

## setCopyFlags()

void osg::CopyOp::setCopyFlags | ( | CopyFlags | flags | ) |

inline

References _flags.

## Member Data Documentation

## _flags

CopyFlags osg::CopyOp::_flags

protected

Referenced by CopyOp(), getCopyFlags(), and setCopyFlags().

The documentation for this class was generated from the following file:

- CopyOp